datablock TSShapeConstructor(ponyShapeConstructor_twilight_sparkle){
	baseShape  = "./model.dts";
	sequence0  = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq root";
	sequence1  = "Add-Ons/Player_MLP_Mane/animations/p_walk.dsq run";
	sequence2  = "Add-Ons/Player_MLP_Mane/animations/p_walk.dsq walk";
	sequence3  = "Add-Ons/Player_MLP_Mane/animations/p_walkback.dsq back";
	sequence4  = "Add-Ons/Player_MLP_Mane/animations/p_walkback.dsq side";
	sequence5  = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq crouch";
	sequence6  = "Add-Ons/Player_MLP_Mane/animations/p_walk.dsq crouchRun";
	sequence7  = "Add-Ons/Player_MLP_Mane/animations/p_walkback.dsq crouchBack";
	sequence8  = "Add-Ons/Player_MLP_Mane/animations/p_walkback.dsq crouchSide";
	sequence9  = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq look";
	sequence10 = "Add-Ons/Player_MLP_Mane/animations/p_headside.dsq headside";
	sequence11 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq headUp";
	sequence12 = "Add-Ons/Player_MLP_Mane/animations/p_jump.dsq jump";
	sequence13 = "Add-Ons/Player_MLP_Mane/animations/p_jumppink.dsq standjump";
	sequence14 = "Add-Ons/Player_MLP_Mane/animations/p_fall.dsq fall";
	sequence15 = "Add-Ons/Player_MLP_Mane/animations/p_land.dsq land";
	sequence16 = "Add-Ons/Player_MLP_Mane/animations/p_armattack.dsq armAttack";
	sequence17 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq armReadyLeft";
	sequence18 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq armReadyRight";
	sequence19 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq armReadyBoth";
	sequence20 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq spearready";  
	sequence21 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq spearThrow";
	sequence22 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq talk";  
	sequence23 = "Add-Ons/Player_MLP_Mane/animations/p_death.dsq death1"; 
	sequence24 = "Add-Ons/Player_MLP_Mane/animations/p_brickup.dsq shiftUp";
	sequence25 = "Add-Ons/Player_MLP_Mane/animations/p_brickdown.dsq shiftDown";
	sequence26 = "Add-Ons/Player_MLP_Mane/animations/p_brickup.dsq shiftAway";
	sequence27 = "Add-Ons/Player_MLP_Mane/animations/p_brickdown.dsq shiftTo";
	sequence28 = "Add-Ons/Player_MLP_Mane/animations/p_brickleft.dsq shiftLeft";
	sequence29 = "Add-Ons/Player_MLP_Mane/animations/p_brickright.dsq shiftRight";
	sequence30 = "Add-Ons/Player_MLP_Mane/animations/p_brickright.dsq rotCW";
	sequence31 = "Add-Ons/Player_MLP_Mane/animations/p_brickleft.dsq rotCCW";
	sequence32 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq undo";
	sequence33 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq plant";
	sequence34 = "Add-Ons/Player_MLP_Mane/animations/p_sit.dsq sit";
	sequence35 = "Add-Ons/Player_MLP_Mane/animations/p_armattack.dsq wrench";
	sequence36 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq activate";
	sequence37 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq activate2";
	sequence38 = "Add-Ons/Player_MLP_Mane/animations/p_root.dsq leftrecoil";
};

datablock playerData(MLPTwilightPony){
	renderFirstPerson = false;
	emap = false;
	
	className = Armor;
	shapeFile = "./model.dts";
	cameraMaxDist = 8;
	cameraTilt = 0.261;
	cameraVerticalOffset = 2.3;
	  
	cameraDefaultFov = 90.0;
	cameraMinFov = 5.0;
	cameraMaxFov = 120.0;

	aiAvoidThis = true;

	minLookAngle = -1.5708;
	maxLookAngle = 1.5708;
	maxFreelookAngle = 3.0;
	mass = 90;
	drag = 0.1;
	density = 0.7;
	maxDamage = 130;
	maxEnergy =  10;
	repairRate = 0.33;

	rechargeRate = 0.4;

	runForce = 1822;
	runEnergyDrain = 0;
	minRunEnergy = 0;
	maxForwardSpeed = 7;
	maxBackwardSpeed = 4;
	maxSideSpeed = 4;

	maxForwardCrouchSpeed = 16;
	maxBackwardCrouchSpeed = 0;
	maxSideCrouchSpeed = 0;

	maxForwardProneSpeed = 0;
	maxBackwardProneSpeed = 0;
	maxSideProneSpeed = 0;

	maxForwardWalkSpeed = 0;
	maxBackwardWalkSpeed = 0;
	maxSideWalkSpeed = 0;

	maxUnderwaterForwardSpeed = 8.4;
	maxUnderwaterBackwardSpeed = 7.8;
	maxUnderwaterSideSpeed = 7.8;

	jumpForce = 675;
	jumpEnergyDrain = 0;
	minJumpEnergy = 0;
	jumpDelay = 0;

	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

	minImpactSpeed = 250;
	speedDamageScale = 3.8;

	boundingBox			= vectorScale("1.8 1.7 2.35", 4);
	crouchBoundingBox	= vectorScale("1.8 1.7 2.35", 4);
	
	pickupRadius = 0.75;
	
	jetEmitter = "";
	jetGroundEmitter = "";
	jetGroundDistance = 4;
  
	footPuffNumParts = 10;
	footPuffRadius = 0.25;

	splash = PlayerSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 0.1;
	splashEmitter[0] = PlayerFoamDropletsEmitter;
	splashEmitter[1] = PlayerFoamEmitter;
	splashEmitter[2] = PlayerBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
	
	runSurfaceAngle  = 85;
	jumpSurfaceAngle = 86;

	minJumpSpeed = 20;
	maxJumpSpeed = 30;

	horizMaxSpeed = 68;
	horizResistSpeed = 33;
	horizResistFactor = 0.35;

	upMaxSpeed = 80;
	upResistSpeed = 25;
	upResistFactor = 0.3;
	
	footstepSplashHeight = 0.35;

	JumpSound			= PonyJumpSound;
	
	impactWaterEasy      = Splash1Sound;
	impactWaterMedium    = Splash1Sound;
	impactWaterHard      = Splash1Sound;
	
	groundImpactMinSpeed    = 10.0;
	groundImpactShakeFreq   = "4.0 4.0 4.0";
	groundImpactShakeAmp    = "1.0 1.0 1.0";
	groundImpactShakeDuration = 0.8;
	groundImpactShakeFalloff = 10.0;
	
	maxItems   = 10;
	maxWeapons = 5;
	maxTools = 5;
	
	uiName = "Pony Twilight Sparkle";
	rideable = false;
		lookUpLimit = 0.6;
		lookDownLimit = 0.2;

	canRide = false;
	showEnergyBar = false;
	paintable = false;

	brickImage = "BrickImage";
};